## debian-edu-config 2.12.22

=== debian/changelog ===
debian-edu-config (2.12.22) unstable; urgency=medium

  * d/postinst: do not call update-mime anymore. Closes: #1010432.
  * d/control: bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 12:39:42 +0200

debian-edu-config (2.12.21) unstable; urgency=medium

  * Replace dependency on mime-support with one on media-types, thanks to
    Charles Plessy for the bug report and all the work on this in the first
    place. Closes: #1010102

 -- Holger Levsen <holger@debian.org>  Mon, 25 Apr 2022 17:22:41 +0200

debian-edu-config (2.12.20) unstable; urgency=medium

  * Regression fix upload.
  * debian/changelog:
    + Update missing changelog item in 2.12.18 upload stanza (for commit
      0e3432df).
  * debian/debian-edu-config.preinst:
    + Make .keytab file moval more robust/idempotent. Don't attempt moving
      .keytab files if /etc/debian-edu/host-keytabs is already a symlink.
  * debian/debian-edu-config.postinst:
    + Fix some typos (follow-up for 0e1df64b, v2.12.16).
  * share/debian-edu-config/tools/update-proxy-from-wpad:
    - Really send warnings from this script to stderr (follow-up for f827feba,
      v2.12.18).
  * share/debian-edu-config/tools/gosa-remove-host:
    - Fix path in comment (follow-up fix for dd2a1c79, v2.12.18).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Mar 2022 13:26:35 +0100

debian-edu-config (2.12.19) unstable; urgency=medium

  * Regression fix upload.
  * Makefile:
    - Install script share/debian-edu-config/tools/update-dlw-krb5-keytabs into
      bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Mar 2022 10:31:36 +0100

debian-edu-config (2.12.18) unstable; urgency=medium

  * etc/cups/cups-browsed-debian-edu.conf:
    - Let TJENER's print queues appear on Debian Edu clients, use same
      print queue names on clients as on TJENER. (Closes: #1005841).
  * sbin/debian-edu-pxeinstall:
    - Don't append 'ipappend 2' to the kernel boot cmdline anymore as it
      confuses systemd when booting into the installed system. This resolves
      the graphical.target not coming up on Debian Edu workstations that got
      installed via the PXE/network based Debian Installer method. (Closes:
      #1006362).
    - Silence stderr output if the artwork theme lacks a plymouth subfolder.
      This can be silently ignored and should not trouble Debian Edu admins.
  * sbin/update-hostname-from-ip:
    - Simply if-then-else-clauses, reduce number of exit calls, don't exit with
      non-zero exitcode. Improve syslog messages if things fail. (Closes:
      #1006604).
  * share/debian-edu-config/squid.conf:
    - Prefer DNSv4 lookups over DNSv6. Debian Edu does not yet fully support
      IPv6 and many schools still use IPv4 primarily. This gives a great
      performance boost to squid installations if IPv6 internet is not fully
      available for whatever reason. (Closes: #1006375).
  * share/debian-edu-config/tools/{update-proxy-from-wpad,wpad-extra}:
    - Don't fail if proxy update is not possible, only send warnings to stderr
      and syslog. Don't source wpad-extra script, execute it instead and capture
      stdout. (Closes: #1008067).
    - White-space clean-up (use only tabs for indentation).
  * Move /etc/debian-edu/host-keytabs/* to /var/lib/debian-edu/host-keytabs/
    and replace directory /etc/debian-edu/host-keytabs by a symlink. (Closes:
    #1002019).
  * Makefile: Re-arrange installation of some files that are scripts and need
    exec filesystem permissions. Adjust lintian overrides for these, too.
  * lintian: Update some override phrases (adjustments to the most recent
    lintian version).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Mar 2022 09:53:57 +0100

debian-edu-config (2.12.17) unstable; urgency=medium

  [ Mike Gabriel ]
  * share/debian-edu-config/tools/clean-up-host-keytabs:
    - Don't fail on Kerberos principal removal.
    - Set executable bits of this file.
  * debian/control:
    + Add D (debian-edu-config): libsitesummary-perl (available starting with
      sitesummary 0.1.50). (Closes: #815695, #968268).

 -- Holger Levsen <holger@debian.org>  Sun, 13 Feb 2022 09:45:45 +0100

debian-edu-config (2.12.16) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * etc/exim4/exim-ldap-server-v4.conf: Accept incoming mail from internal
    network sent to root@<mynetwork-names>. (Closes: #1003727).

  [ Mike Gabriel ]
  * share/glib-2.0/schemas/31_debian-edu+mate.gschema.override: Add various
    long-term-used MATE settings overrides (some from Ubuntu MATE).
  * MATE screensaver: Offer "logout user" button on screensaver dialog after
    40min of inactivity and allow other users to salvage a workstation from
    an idle user (session).
  * share/debian-edu-config/tools/setup-freeradius-server: Fix integer
    comparison in run-by-root check. Script was not executable fully (not even
    as root).
  * etc/apache2/mods-available/debian-edu-userdir.conf:
    - White-space cleanup (tabs and spaces mixed).
    - CVE-2021-20001: Disable built-in PHP engine.
    - Add warning to not re-enable PHP interpretation in user dirs (with
      reference to our README).
  * README.public_html_with_PHP-CGI+suExec.md:
    - Provide documentation on how to enable suExec support in Apache2 userdirs
      (i.e. ~/public_html).
  * debian/NEWS:
    + Add file, inform about PHP being disabled in Apache2 user directories.
  * debian/debian-edu-config.fetch-ldap-cert: Drop retrieval of
    Debian-Edu_rootCA from this script. This now is the task of the
    fetch-rootca-cert script. (Closes: #971780).
  * debian/debian-edu-config.fetch-rootca-cert: Ensure proper symlinking of
    Debian-Edu_rootCA.crt in /usr/local/share/ca-certificates/ to
    Debian-Edu_rootCA.crt in /etc/ssl/ca-certificates. Forced symlinking is
    required, because earlier versions of the fetch-ldap-cert init script put
    Debian-Edu_rootCA.crt into /etc/ssl/ca-certificates/ as a file. Forced


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
           Dominik George <natureshadow@debian.org>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), debhelper
Build-Depends-Indep: po-debconf,
                     po4a,
                     help2man,
                     libfilesys-df-perl
Homepage: https://blends.debian.org/edu
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config.git

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends},
         lsb-base,
         adduser,
         bind9-host,
         cfengine3,
         debconf-utils,
         debian-edu-artwork,
         e2fsprogs,
         education-tasks,
         fping,
         gnutls-bin,
         isenkram-cli,
         ldap-utils,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libglib2.0-bin,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libnss3-tools,
         libpacparser1,
         libpam-python,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-webkit,
         libproxy1-plugin-networkmanager,
         libsitesummary-perl,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-release,
         media-types,
         net-tools,
         ng-utils,
         openssl,
         patch,
         python3,
         python3-notify2,
         ssl-cert,
         swaks,
         tftp-hpa | tftp,
         uuid,
         wget,
Recommends: binutils,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux,
Description: Configuration files for Debian Edu (Skolelinux) systems
 Installs cfengine config files to be used by the machines set up as part
 of the Debian Edu (Skolelinux) network. Debian Edu is a Debian Pure Blend.

## debian-edu-config 2.12.25

=== debian/changelog ===
debian-edu-config (2.12.25) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-ltsp-install: Install firefox-esr l10n package conditionally
    in case the minidesktop thin client type has been chosen.

 -- Holger Levsen <holger@debian.org>  Sun, 13 Nov 2022 14:57:03 +0100

debian-edu-config (2.12.24) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Change D (d-e-c) on libpam-python to a versioned dependency
      (>= 1.1.0~git20220701.1d4e111-0.3~). Starting with this version,
      libpam-python has fully been ported to Python3. (Closes: #1020928).

 -- Holger Levsen <holger@debian.org>  Mon, 24 Oct 2022 23:28:55 +0200

debian-edu-config (2.12.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/debian-edu-config/isc-dhcp-server.service.eth1_only: Use nslcd instead
    of slapd as required service. Otherwise the DHCP service on a separate or
    additional LTSP server fails to start if it has been stopped before.
  * ldap-tools/ldap-debian-edu-install: After the move to MDB the slapd package
    recently stopped shipping the BDB related DB_CONFIG example file. Trying to
    copy the file breaks LDAP setup.
  * cf3/cf.finalize: Replace connman with network-manager-gnome in case the LXQt
    desktop environment is used during an installation including the Main server
    or LTSP server profile. (In these cases, ConnMan as the preferred LXQt
    network manager doesn't work well with the Debian Edu specific way network
    interfaces are set up.)

 -- Holger Levsen <holger@debian.org>  Mon, 17 Oct 2022 21:56:43 +0200

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
          libnet-netmask-perl,
          libnss3-tools,
          libpacparser1,
-         libpam-python,
+         libpam-python (>= 1.1.0~git20220701.1d4e111-0.3~),
          libproxy1-plugin-kconfig,
          libproxy1-plugin-webkit,
          libproxy1-plugin-networkmanager,

## debian-edu-config 2.12.28

=== debian/changelog ===
debian-edu-config (2.12.28) unstable; urgency=medium

  [ Mike Gabriel ]
  * ldap-bootstrap/gosa.ldif: Adjust gosaAclTemplate to GOsa² 2.8 (all ->
    all/all).

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 21:22:46 +0100

debian-edu-config (2.12.27) unstable; urgency=medium

  * debian-edu-pxeinstall: adopt to recent changes in memtest86+. Thanks to
    Wolfgang Schweer.
  * gosa.conf.template: use LDAPS instead of LDAP to access tjener.
    Closes: #1030348. Thanks to Daniel Teichmann for the bug report and
    Wolfgang Schweer for the patch.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 11:39:05 +0100

debian-edu-config (2.12.26) unstable; urgency=medium

  * tools/create-debian-edu-certs: use chown with colon instead of a dot,
    thanks lintian.
  * Explicitly use bash for ldap-tools/ldap-createuser-krb5,
    sbin/debian-edu-ltsp-chroot and testsuite/ldap-server, thanks lintian.
  * d/control:
    - drop obsolete depends on lsb-base, thanks lintian.
    - bump standards version to 4.6.2, no changes needed.
  * d/source/lintian-overrides: override some
    very-long-line-length-in-source-file warnings.
  * d/debian-edu-config.lintian-overrides:
    - convert to new syntax.
    - override a bunch of unused-debconf-template warnings.
    - override init.d-script-does-not-implement-status-option for internal init
      scripts.
    - override some bash-term-in-posix-shell where I confirmed those are false
      positive.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Jan 2023 14:37:19 +0100

## debian-edu-config 2.12.30

=== debian/changelog ===
debian-edu-config (2.12.30) unstable; urgency=medium

    d-i/finish-install: fix typo, thanks to Wolfgang Schweer.

 -- Holger Levsen <holger@debian.org>  Wed, 15 Feb 2023 15:14:02 +0100

debian-edu-config (2.12.29) unstable; urgency=medium

  * d-i/finish install: remove first local user (and kdc and ldap if set)
    passwords from debconf after setting them in the system. Thanks to
    Wolfgang Schweer. Closes: #1029077.
  * d-i/pre-pkgsel: only set kdc and ldap passwords on main-server, thanks to
    Wolfgang Schweer.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Feb 2023 17:48:44 +0100

## debian-edu-config 2.12.31

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	update-ini-file \
	debian-edu-copy-pki

SPROGS = debian-edu-fsautoresize \
	debian-edu-ltsp-chroot \
	debian-edu-ltsp-install \
	debian-edu-ltsp-initrd \
	debian-edu-ltsp-ipxe \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cf3dir     = $(sysconfdir)/cfengine3/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
slbackupphpdir = $(sysconfdir)/slbackup-php
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
vardir     = /var
wwwdir     = /etc/debian-edu/www


CF3FILES = \
	cf.adduser \
	cf.apache2 \
	cf.cups \
	cf.desktop-networked \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.firefox-esr \
	cf.finalize \
	cf.grub \
	cf.chromium \
	cf.inetd \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.bind \
	cf.pxeinstall \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.sshd \
	cf.syslog \
	cf.workarounds \
	cf.xrdp \
	cf.icinga \
	edu.cf \
	promises.cf

# Files to install in /etc/
SYSCONFFILES = \
	apt/apt.conf.d/99-edu-prefer-firefox \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern \
	bind/db.subnet01.intern \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/55lightdm_gtk-greeter-rc \
	debian-edu/nightkill.conf \
	debian-edu/pxeinstall.conf \
	default/munin-node \
	default/ldap2zone \
	chromium/policies/managed/chromium-networked-prefs \
	chromium/policies/recommended/search_provider.json \
	cups/cupsd-debian-edu.conf \
	cups/cups-files-debian-edu.conf \
	cups/cups-browsed-debian-edu.conf \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	exports.d/edu.exports \
	filesystems \
	firefox-esr/debian-edu.js \
	php/apache2/php-debian-edu.ini \
	insserv/overrides/ntp \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-debian-edu-mdb.conf \
	samba/smb-debian-edu.conf \
	slbackup-php/config.php \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default.conf \
	apache2/sites-available/debian-edu-ssl-default.conf \
	apache2/conf-available/debian-edu-config-doc.conf \
	apache2/include/debian-edu-ldapauth.inc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf

SYSCONFSCRIPTS = \
	dhcp/dhclient-exit-hooks.d/autofs-reload \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	mklocaluser.d/20-debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu

SCHEMAS = \
	autofs-debian-edu.schema \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldap2netgroup \
	ldap-debian-edu-install \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.da \
	index.html.de \
	index.html.en \
	index.html.es-es \
	index.html.fr \
	index.html.id \
	index.html.it \
	index.html.ja \
	index.html.nb-no \
	index.html.nl \
	index.html.pt-pt \
	index.html.pt-br \
	index.html.ro \
	index.html.ru \
	index.html.zh-tw \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

LIBFILES = \
	thunderbird/distribution/policies.json \

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(libdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$prog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md

	set -e ; for cf3 in $(CF3FILES); do \
		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/killer.cron \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/clean-up-host-keytabs \
		share/debian-edu-config/tools/configure-edu-gateway \
		share/debian-edu-config/tools/create-debian-edu-certs \
		share/debian-edu-config/tools/create-server-cert \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/setup-cfengine3 \
		share/debian-edu-config/tools/debian-edu-bless \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-modify-host \
		share/debian-edu-config/tools/gosa-remove-host \
		share/debian-edu-config/tools/gosa-lock-user \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/gosa-unlock-user \
		share/debian-edu-config/tools/goodbye-user-session \
		share/debian-edu-config/tools/firefox-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldappasswd2 \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ltsp-addfirmware \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/package-disk-usage \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/pxe-addfirmware \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-ad-client \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/setup-freeradius-server \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-cert-dbs \
		share/debian-edu-config/tools/update-dlw-krb5-keytabs \
		share/debian-edu-config/tools/update-firefox-homepage \
		share/debian-edu-config/tools/update-chromium-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/tools/ldap-server-getcert \
		share/debian-edu-config/tools/exim4-create-environment \
		share/debian-edu-config/tools/edu-ldap-from-scratch \
		share/debian-edu-config/tools/edu-icinga-setup \
		share/debian-edu-config/tools/create-user-nssdb \
		share/debian-edu-config/tools/copy-host-keytab \
		share/debian-edu-config/tools/improve-desktop-l10n \
		share/debian-edu-config/tools/install-task-pkgs \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

	set -e ; for f in \
		share/debian-edu-config/avahi.smb.service \
		share/debian-edu-config/rsyslog-collector \
		share/debian-edu-config/smb.conf.edu-site \
		share/debian-edu-config/firefox-networked-prefs.js \
		share/debian-edu-config/squid.conf \
		share/debian-edu-config/ssl.cnf \
		share/debian-edu-config/sslCA.cnf \
		share/debian-edu-config/v3.cnf \
		share/debian-edu-config/v3CA.cnf \
		share/debian-edu-config/debian-edu-timesyncd.conf \
		share/debian-edu-config/passwords_stub.dat \
		share/debian-edu-config/gosa.conf.template \
		share/debian-edu-config/lightdm-gtk-greeter.conf \
		share/debian-edu-config/sudo-ldap.conf \
		share/debian-edu-config/isc-dhcp-server.service \
		share/debian-edu-config/isc-dhcp-server.service.eth1_only \
		share/pam-configs/edu-group \
		share/pam-configs/edu-umask \
		share/perl5/Debian/Edu.pm \
		share/debian-edu-config/pam-config-ccreds-check \
		share/debian-edu-config/pam-config-ccreds-save \
		share/debian-edu-config/pam-config-mkhomedir \
		share/debian-edu-config/pam-config-nopwdchange \
		share/debian-edu-config/pam-nopwdchange.py \
		share/firefox-esr/distribution/policies.json \
		share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override \
		share/glib-2.0/schemas/31_debian-edu+mate.gschema.override \
		share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override  \
		share/mate-panel/layouts/debian-edu-mate.layout \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

# Using manpages autodetection : 
	set -e ; for program in $(LDAPPROGRAMS) ; do \
		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
		if [ -e "share/man/man1/$$program.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
		fi \
	done
	set -e ; for schema in $(SCHEMAS) ; do \
		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
	done

=== debian/changelog ===
debian-edu-config (2.12.31) unstable; urgency=medium

  * sbin/debian-edu-pxeinstall: adjust for memtest86+ 6.10-4, thanks to
    Wolfgang Schweer.
  * Turkish debconf translation update, thanks to Atila KOÇ. Closes: #1031668.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Feb 2023 10:10:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
            Dominik George <natureshadow@debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), debhelper
 Build-Depends-Indep: po-debconf,
@@ -21,7 +21,6 @@
 Package: debian-edu-config
 Architecture: all
 Depends: ${misc:Depends},
-         lsb-base,
          adduser,
          bind9-host,
          cfengine3,

=== debian/tests/control ===
Tests: install-task-pkgs, improve-desktop-l10n, configure-edu-gateway
Depends: debian-edu-install, education-common, locales
Restrictions: needs-root allow-stderr

## debian-edu-config 2.12.32

=== debian/changelog ===
debian-edu-config (2.12.32) unstable; urgency=medium

  * debian-edu-ltsp-install: fix failure with absent BD iso images. Patch
    thanks to Wolfgang Schweer. Closes: #1033451.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Mar 2023 20:40:47 +0200

## debian-edu-config 2.12.41~deb12u1

=== debian/changelog ===
debian-edu-config (2.12.41~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Dec 2023 08:45:42 +0100

debian-edu-config (2.12.41) unstable; urgency=medium

  [ Guido Berhoerster ]
  * gosa-sync: Decode the user password which GOsa substitutes base64 encoded.
    This fixes a bug where the user password could not be set or changed.
    (related to #1052159).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Dec 2023 21:44:38 +0100

debian-edu-config (2.12.40~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Nov 2023 08:36:15 +0100

debian-edu-config (2.12.40) unstable; urgency=medium

  * share/debian-edu-config/gosa.conf.template:
    + Deploy GOsa² based on its classic theming, the Materialize CSS theme is
      too immature to be used in production.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Nov 2023 08:32:34 +0100

debian-edu-config (2.12.39) unstable; urgency=medium

  * ldap-bootstrap/root.ldif: Fix gosaAclEntry of BaseDN object.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 09:56:39 +0100

debian-edu-config (2.12.38) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix main server network setup. Closes: #1055647.

 -- Holger Levsen <holger@debian.org>  Fri, 10 Nov 2023 16:42:11 +0100

debian-edu-config (2.12.37) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Discard excessive nullmailer logging.
    Filter out log messages coming from a client running nullmailer since it is
    very verbose and can easily fill up the filesystem under /var/log.
    (Closes: #1003728).
  * ldap-createuser-krb5: fix password prompt.
  * Disable cfengine3 systemd service.
    Disabling only cf-execd in 75b4e3f7 (see #1041323) did not work as it gets
    pulled in as a dependency of cfengine3. Thus disable the cfengine3 service
    instead.
  * Rewrite testsuite/filesystems, add exception for /boot
    Rewrite for clarity and robustness. Add exception for /boot which may use
    ext2.
  * testsuite/ldap-{server,client}: Fix invocation of ldapsearch.
    The -h command line option has been removed, ldapsearch now only accepts a
    LDAP URI via the -H option.
    Also do not use the deprecated egrep and get rid of unnecessary wc.
    Use dig and awk instead of host and interpret the SRV record properly.
  * testsuite/ldap-client: Improve error message on PAM modules.
  * Fix remaining invocations of ldapsearch.
  * Disable using the LDAP PAM module (we use pam_krb5.so instead).
  * setup-freeradius-server: Set commonName and subjectAltNames on the server
    cert.
    (Closes: #1010159).
  * setup-freeradius-server: Improve robustness
    Use update-ini-file for OpenSSL config files.
    Use more precise sed substitutions which do not rely on example values.
    Increase password length from 8 to 16 characters.
  * Change minimum UID/GID for LDAP user to 2000 (Closes: #1003192)
    With this change local user accounts now use the UID/GID range 1000-1999
    instead of 500-999 whereas LDAP user accounts use 2000-59999 instead of
    1000-59999.  This is to reserve UID/GID 0-999 for system users which is the
    default in Debian and not conforming to it is increasingly problematic as
    packages are beginning to use systemd-sysusers for creating system user
    accounts which does not obey /etc/addusers.conf or /etc/login.defs by default.
    The first user account created during installation now has UID/GID 2000 instead
    of 1000.
    Configure gosa and adjust ldap-createuser-krb5 accordingly.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Sep 2023 09:57:06 +0200

debian-edu-config (2.12.36) unstable; urgency=medium

  [ Mike Gabriel ]
  * ldap-bootstrap/gosa.ldif:
    + Provide ou=incoming potentially used by GOsa²'s class 'newArpDevice'.
      This is esp. to silence GOsa² error messages but might be useful at a
      later point of time.

  [ Guido Berhoerster ]
  * Update proxy settings in dconf.
    This adds support in update-proxy-from-wpad for setting the proxy default
    values in dconf (used by e.g. GNOME components). The values are added to
    a site database, it also packages an empty local database in order to
    obviate the need to modify the user profile. (Closes: #955702)
  * Remove use of obsolete grep aliases. These have been obsolete forever and
    have been removed from GNU grep upstream.
  * Use command -v builtin over external which command
  * Do not solely rely on the presence of init scripts in maintainer scripts.
    Check also for systemd service files.
  * Remove direct invocation of wlan init script. This no longer exists in
    Debian.
  * Replace invocation of fetch-ldap-cert init script in DHCP hooks and rename.
    dhclient hook in Makefile.
    This has been replaced by fetch-rootca-cert (see #971780).
  * Silence exim4 warnings in logfile.
    The lack of keep_environment in the exim4 configuration for clients leads to
    continuous warnings in the logfile:
    'Warning: purging the environment. Suggested action: use keep_environment.'
    Setting it to an empty value (which is the default) silences that.
  * Ship PAM group.conf for workstations. LDAP users should be members of
    several system groups on networked (roaming) workstations.
  * Add missing dependency on iptables
    This is required by debian-edu-update-netblock (Closes: #1051446).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Sep 2023 23:04:46 +0200

debian-edu-config (2.12.35) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Remove configure-edu-gateway. (Closes: #1043407).
    The script is obsoleted by the more sophisticated configuration
    abilities provided by the debian-edu-router-config package.
  * Do not hardcode X2Go desktop to Xfce. (Closes: #1049396).
    Add a commandline option --x2go_desktop for specifying the default desktop
    and make a best effort finding a usable desktop if none is specified.


## debian-edu-config 2.12.44~deb12u1

=== debian/changelog ===
debian-edu-config (2.12.44~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 10:52:12 +0100

debian-edu-config (2.12.44) unstable; urgency=medium

  * share/debian-edu-config/tools/wpad-extract:
    + Update IP of www.debian.org.
    + Don't use the proxy for accessing wpad.
  * share/debian-edu-config/tools/fetch-rootca-cert:
    + Don't use the proxy for accessing wwww.intern.
  * debian/debian-edu-config.maintscript:
    + Remove stray /etc/dhcp/dhclient-exit-hooks.d/fetch-ldap-cert. Should have
      been removed with 2.12.34 already. (Closes: #1061560).
    + Use <prior-version> version numbers as recommended on the
      dpkg-maintscript-helper man page (the current upload version suffixed
      by '~').

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 15:07:09 +0100

debian-edu-config (2.12.43) unstable; urgency=medium

  [ Holger Levsen ]
  * d/changelog:
    - add missing Closes: for #1021688, #1024033 and #1039461 in previous
      entries to ease future debugging.
    - fix too long line in previous entry.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Dec 2023 11:56:02 +0100

debian-edu-config (2.12.42) unstable; urgency=medium

  * share/debian-edu-config/tools/update-proxy-from-wpad: Ignore missing dconf
    command. (Closes: #1057777). It might be missing on main-server
    installations where no desktop environment is installed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Dec 2023 08:15:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
-           Wolfgang Schweer <wschweer@arcor.de>,
            Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -30,6 +29,7 @@
          education-tasks,
          fping,
          gnutls-bin,
+         iptables,
          isenkram-cli,
          ldap-utils,
          libconfig-inifiles-perl,

## debian-edu-config 2.12.45

=== debian/changelog ===
debian-edu-config (2.12.45) unstable; urgency=medium

  * share/debian-edu-config/tools/gosa-sync:
    + From password TMPFILE, strip newline character from end-of-file.
      The LDAP whoami call for verifying the correctness of the passed-in
      user password requires a password file without trailing newline
      to succeed.
  * share/debian-edu-config/gosa.conf.template:
    + Various white-space fixes.
    + Don't (single-)quote placeholders in plugin hooks. GOsa² will add single-
      quotes around placeholder variables when generating hook commands. Esp.
      when using single quotes around placeholders, they will be duplicated
      and thus eliminate eacher other. This problem occurred for users
      with space characters in their DN while changing the user's password.
      (The hook would only operate on a partial DN string, split at first
      space char occurrence in the DN string).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Jul 2024 09:52:14 +0200

## debian-edu-config 2.12.46~deb12u1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,15 @@
 PACKAGE = debian-edu-config
+
+NULL =
 
 PROGS = \
 	debian-edu-ldapserver \
 	update-ini-file \
-	debian-edu-copy-pki
-
-SPROGS = debian-edu-fsautoresize \
+	debian-edu-copy-pki \
+	$(NULL)
+
+SPROGS = \
+	debian-edu-fsautoresize \
 	debian-edu-ltsp-chroot \
 	debian-edu-ltsp-install \
 	debian-edu-ltsp-initrd \
@@ -14,31 +18,41 @@
 	debian-edu-restart-services \
 	debian-edu-test-install \
 	debian-edu-update-netblock \
-	update-hostname-from-ip
-
-INSTALL     = install -D -p -m 755
-INSTALL_DATA= install -D -p -m 644
-
-prefix     = /usr/local
-sysconfdir = /etc
-cf3dir     = $(sysconfdir)/cfengine3/debian-edu
-bindir     = $(prefix)/bin
-sbindir    = $(prefix)/sbin
-docdir     = $(prefix)/share/doc/$(PACKAGE)
-mandir     = $(prefix)/share/man
-ldapdir    = $(sysconfdir)/ldap
+	update-hostname-from-ip \
+	$(NULL)
+
+LIBEXECPROGS = \
+	debian-edu-cups-queue-autoflush-for-netgroup-hosts \
+	debian-edu-cups-queue-autoreenable-for-netgroup-hosts \
+	debian-edu-fsautoresize-for-netgroup-hosts \
+	$(NULL)
+
+INSTALL        = install -D -p -m 755
+INSTALL_DATA   = install -D -p -m 644
+
+prefix         = /usr/local
+sysconfdir     = /etc
+cf3dir         = $(sysconfdir)/cfengine3/debian-edu
+bindir         = $(prefix)/bin
+sbindir        = $(prefix)/sbin
+docdir         = $(prefix)/share/doc/$(PACKAGE)
+mandir         = $(prefix)/share/man
+ldapdir        = $(sysconfdir)/ldap
 slbackupphpdir = $(sysconfdir)/slbackup-php
-schemadir  = $(ldapdir)/schema
-dhcpdir   = $(sysconfdir)/dhcp
-libdir     = /usr/lib
-pkglibdir  = $(libdir)/debian-edu-config
-vardir     = /var
-wwwdir     = /etc/debian-edu/www
+schemadir      = $(ldapdir)/schema
+dhcpdir        = $(sysconfdir)/dhcp
+libdir         = /usr/lib
+pkglibdir      = $(libdir)/debian-edu-config
+libexecdir     = /usr/libexec
+pkglibexecdir  = $(libexecdir)/debian-edu-config
+vardir         = /var
+wwwdir         = /etc/debian-edu/www
 
 
 CF3FILES = \
 	cf.adduser \
 	cf.apache2 \
+	cf.cfengine3 \
 	cf.cups \
 	cf.desktop-networked \
 	cf.dhcpserver \
@@ -54,6 +68,7 @@
 	cf.ldapserver \
 	cf.ldapclient \
 	cf.bind \
+	cf.pam \
 	cf.pxeinstall \
 	cf.ntp \
 	cf.samba \
@@ -64,7 +79,8 @@
 	cf.xrdp \
 	cf.icinga \
 	edu.cf \
-	promises.cf
+	promises.cf \
+	$(NULL)
 
 # Files to install in /etc/
 SYSCONFFILES = \
@@ -80,6 +96,7 @@
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/55lightdm_gtk-greeter-rc \
+	dconf/profile/user \
 	debian-edu/nightkill.conf \
 	debian-edu/pxeinstall.conf \
 	default/munin-node \
@@ -98,7 +115,6 @@
 	filesystems \
 	firefox-esr/debian-edu.js \
 	php/apache2/php-debian-edu.ini \
-	insserv/overrides/ntp \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu-mdb.conf \
 	samba/smb-debian-edu.conf \
@@ -130,18 +146,21 @@
 	nagios3/debian-edu/service_templates.cfg \
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf \
-	polkit-1/localauthority.conf.d/80-edu-admin.conf
+	polkit-1/localauthority.conf.d/80-edu-admin.conf \
+	ntpsec/ntp.d/debian-edu.conf \
+	$(NULL)
 
 SYSCONFSCRIPTS = \
 	dhcp/dhclient-exit-hooks.d/autofs-reload \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
-	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
+	dhcp/dhclient-exit-hooks.d/fetch-rootca-cert \
 	dhcp/dhclient-exit-hooks.d/hostname \
 	mklocaluser.d/20-debian-edu-config \
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
 	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
-	X11/Xsession-debian-edu
+	X11/Xsession-debian-edu \
+	$(NULL)
 
 SCHEMAS = \
 	autofs-debian-edu.schema \
@@ -162,7 +181,8 @@
 	gosa-samba3.schema \
 	gofax.schema \
 	goserver.schema \
-	goto-mime.schema
+	goto-mime.schema \
+	$(NULL)
 
 LDIFS = \
 	root.ldif \
@@ -175,7 +195,8 @@
 	krb5.ldif \
 	ltsp.ldif \
 	gosa.ldif \
-	gosa-server.ldif
+	gosa-server.ldif \
+	$(NULL)
 
 LDAPPROGRAMS = \
 	ldap-add-host-to-netgroup \
@@ -183,7 +204,8 @@
 	ldap-createuser-krb5 \
 	ldap2netgroup \
 	ldap-debian-edu-install \
-	sitesummary2ldapdhcp
+	sitesummary2ldapdhcp \
+	$(NULL)
 
 WWWFILES = \
 	index.html.ca \
@@ -204,10 +226,12 @@
 	index.html.zh-tw \
 	skl-ren_css.css \
 	logo-trans.png \
-	wpad.dat
+	wpad.dat \
+	$(NULL)
 
 LIBFILES = \
 	thunderbird/distribution/policies.json \
+	$(NULL)
 
 all:
 	$(MAKE) -C www
@@ -219,6 +243,7 @@
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
 	install -d $(DESTDIR)$(libdir)
+	install -d $(DESTDIR)$(pkglibexecdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -237,6 +262,10 @@
 		fi \
 	done
 
+	set -e ; for libexecprog in $(LIBEXECPROGS); do \
+		$(INSTALL) libexec/$$libexecprog $(DESTDIR)$(pkglibexecdir) ; \
+	done
+
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
 	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md
 
@@ -263,7 +292,6 @@
 		share/debian-edu-config/killer.cron \
 		share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/clean-up-host-keytabs \
-		share/debian-edu-config/tools/configure-edu-gateway \
 		share/debian-edu-config/tools/create-debian-edu-certs \
 		share/debian-edu-config/tools/create-server-cert \
 		share/debian-edu-config/tools/cups-queue-autoflush \
@@ -321,6 +349,10 @@
 		share/debian-edu-config/tools/copy-host-keytab \
 		share/debian-edu-config/tools/improve-desktop-l10n \
 		share/debian-edu-config/tools/install-task-pkgs \
+		share/debian-edu-config/tools/chromium-ldapconf \
+		share/debian-edu-config/tools/firefox-ldapconf \
+		share/debian-edu-config/tools/nat \
+		share/debian-edu-config/tools/fetch-rootca-cert \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -330,6 +362,7 @@
 	set -e ; for f in \
 		share/debian-edu-config/avahi.smb.service \
 		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/rsyslog-filters \
 		share/debian-edu-config/smb.conf.edu-site \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
@@ -351,24 +384,3 @@
 		share/debian-edu-config/pam-config-ccreds-save \
 		share/debian-edu-config/pam-config-mkhomedir \
 		share/debian-edu-config/pam-config-nopwdchange \
-		share/debian-edu-config/pam-nopwdchange.py \
-		share/firefox-esr/distribution/policies.json \
-		share/glib-2.0/schemas/21_debian-edu+gdm.gschema.override \
-		share/glib-2.0/schemas/31_debian-edu+mate.gschema.override \
-		share/glib-2.0/schemas/32-debian-edu.arctica-greeter.gschema.override  \
-		share/mate-panel/layouts/debian-edu-mate.layout \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-# Using manpages autodetection : 
-	set -e ; for program in $(LDAPPROGRAMS) ; do \
-		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
-		if [ -e "share/man/man1/$$program.1" ]; \
-		then \
-		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$program.1 ; \
-		fi \
-	done
-	set -e ; for schema in $(SCHEMAS) ; do \
-		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
-	done

=== debian/changelog ===
debian-edu-config (2.12.46~deb12u1) bookworm; urgency=medium

  * Upload to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jun 2025 15:33:00 +0200

debian-edu-config (2.12.46) unstable; urgency=medium

  [ Holger Levsen ]
  * Team upload.
  * Remove myself from uploaders as discussed during FOSDEM. It was a pleasure
    and an honor!

  [ Frans Spiesschaert ]
  * sbin/debian-edu-pxeinstall:
    - remove unnecessary article.
    - remove extra space.
  * etc/exim4/exim-ldap-server-v4.conf: no longer give exim4 a reason to
    complain about "tainted search query is not properly quoted".

 -- Holger Levsen <holger@debian.org>  Wed, 05 Mar 2025 13:08:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
-           Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
            Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.6.2

## debian-edu-config 2.12.900

=== debian/changelog ===
debian-edu-config (2.12.900) unstable; urgency=medium

  * Debian Edu 13 development has started.

  * debian/control:
    + Add to D: field: bind9-dnsutils. The 'dig' utility is required by fetch-
      rootca-cert script and various test scripts.
    + Drop from D: field: libproxy1-plugin-*. All of them are transitional
      packages and libproxy has been replaced by libpacparser1 (using its
      pactester tool) ages ago. (Closes: #1064900).
    + Add to D: curl. Required by wpad-extract and fetch-rootca-cert scripts.
  * cf3/cf.homes:
    - White-space amendments.
    - Assure that /etc/default/autofs has the LDAPBASE variable configured.
      This fixes LDAP automounting on workstation hosts.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jun 2025 16:16:08 +0200

## debian-edu-config 2.12.901

=== debian/changelog ===
debian-edu-config (2.12.901) unstable; urgency=medium

  * etc/dovecot/local.conf:
    - Adapt to config setting changes in Dovecot 2.4.x.
  * cf3/:
    - Stop installing packages via cfengine3. The required packages should
      have been pulled in via meta-packages already (and if not, then this
      needs to be amended in debian-edu src:pkg).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jun 2025 10:03:03 +0200
